# Newscout App Initial Setup

Please refer to the React Native Documentation: https://reactnative.dev/docs/environment-setup

1. Install Node v18.17.1  <br>
    https://www.liquidweb.com/kb/install-nvm-linux/
2. Install Java JDK 17
    https://www.digitalocean.com/community/tutorials/how-to-install-java-with-apt-on-ubuntu-22-04
3. Install Android Studio 
   https://developer.android.com/studio/index.html
4. Clone Project from GOGS
    ```bash 
    git clone gogs@git.fafadiatech.com:savio/Newscout_Mobile.git
    ```
5. Check Dependancies by running 
    ```bash 
    npx react-native doctor
    ```
    **NOTE:** Please rectify the issues shown by RN Doctor before running the project.
6. Install NPM Packages
    ```bash 
    npm install
    ```
7. For Debugging, Use an android device or emulator
   1. For Android Device
        1. Follow this guide for seting up device
            https://reactnative.dev/docs/running-on-device
   2. For Emulator 
        1. Install KVM and Follow this guide to Step 3
            https://phoenixnap.com/kb/ubuntu-install-kvm
        2. Create a Virtual Device with AVD Manager in Android Studio

8. Run Project with 
```bash 
    npx react-native start
```