import { StyleSheet, Text, View, TouchableWithoutFeedback, TouchableOpacity} from 'react-native'
import React from 'react'

const ButtonWrapper = ({ onPress, children, buttonStyle}) => {
    return (
        <TouchableOpacity onPress={onPress}>
            <View style={[styles.buttonStyle, buttonStyle]}>
                {children}
            </View>
        </TouchableOpacity>
    )
}

export default ButtonWrapper

const styles = StyleSheet.create({
    buttonStyle: {
        alignItems: 'center',
        justifyContent: 'center',
        height: 'auto',
        width: 'auto'
    }, 
})