import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import MaterialIcon from 'react-native-vector-icons/MaterialIcons'
import ButtonWrapper from './ButtonWrapper'
import colors from '../../../constants/colors'
const EditButton = (props) => {

  const {
    onPress,
    buttonStyle,
    iconColor,
    iconSize
  } = props


  const styles = StyleSheet.create({
    icon: {
      fontSize: 20,
      color: colors().primaryColor
    }
  })
  return (
    <ButtonWrapper onPress={onPress} buttonStyle={buttonStyle}>
      <MaterialIcon name='create' color={iconColor ? iconColor : styles.icon.color} size={iconSize ? iconSize : styles.icon.fontSize} />
    </ButtonWrapper>
  )
}

export default EditButton
