import { StyleSheet, Text, View, ScrollView, TouchableWithoutFeedback } from 'react-native'
import React from 'react'
import CategorySection from '../../components/organisms/Sections/CategorySection'
import RecentPostsSection from '../../components/organisms/Sections/RecentPostsSection'
import TrendingSection from '../../components/organisms/Sections/TrendingSection'
import NewscoutHomeHeader from '../../components/molecules/Header/NewscoutHomeHeader'
import MaterialIcon from 'react-native-vector-icons/MaterialIcons'
import colors from '../../constants/colors'
import OctiIcon from 'react-native-vector-icons/Octicons'
import AntIcon from 'react-native-vector-icons/AntDesign'
const HomePage = props => {

  const { navigation, route } = props

  return (
    <View>
      <ScrollView contentContainerStyle={{ backgroundColor: colors().dominant }} showsHorizontalScrollIndicator={false}>
        <TrendingSection navigation={navigation} />
        <CategorySection navigation={navigation} />
        <RecentPostsSection navigation={navigation} />
      </ScrollView>
    </View>

  )
}

export default HomePage

const styles = StyleSheet.create({})