import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import BookmarkPage from '../screens/Bookmarks/BookmarkPage';


const Stack = createNativeStackNavigator();

const defaultScreenOptions = {
    headerShown: false
}

const BookmarkNavigator = () => {
  return (
    <Stack.Navigator
        initialRouteName='BookmarkPage'
    >
        <Stack.Screen
            name="BookmarkPage"
            component={BookmarkPage}
            options={{...defaultScreenOptions}}
        />
    </Stack.Navigator>
  )
}

export default BookmarkNavigator